# fluent-plugin-grpc, a plugin for [Fluentd](http://fluentd.org)

A fluentd plugin to both send and receive fluentd events via [grpc](https://grpc.io)

## Installation

Add this line to your application's Gemfile:

    gem 'fluent-plugin-grpc'

And then execute:

    $ bundle

Or install it by yourself:

    $ gem install fluent-plugin-grpc

## Requirements

- Ruby 2.3 or later

## Usage

### Input plugin (@type 'grpc')

Receive events via grpc.

    <source>
      @type grpc
      bind 0.0.0.0
      port 50051
    </source>

    <match **>
      @type stdout
    </match>

### Output plugin (@type 'grpc')

Send events via grpc.

    <source>
      @type dummy
      tag test
    </source>

    <match **>
      @type grpc
      path localhost:50051
      <buffer>
        flush_mode immediate
      </buffer>
    </match>
