require 'helper'
require 'fluent/plugin/out_grpc'

class GrpcOutputTest < Test::Unit::TestCase
  def setup
    Fluent::Test.setup
  end

  CONFIG = %[
    path localhost:50051
  ]

  def create_driver(conf=CONFIG)
    Fluent::Test::Driver::Output.new(Fluent::Plugin::GrpcOutput).configure(conf)
  end

  sub_test_case 'configured with invalid configurations' do
    test 'empty config' do
      assert_raise Fluent::ConfigError do
        create_driver(%[])
      end
    end

    test 'path is set correctly' do
      d = create_driver
      assert_equal "localhost:50051", d.instance.path
    end
  end

end
